Skip to Content
APIsAggregates (Bars)

Aggregates (Bars)

Get aggregates returns candlestick bars for a crypto pair.

Get Aggregates (Bars)

GEThttps://api.adesic.com/v2/cex/{exchange}/{market}/aggregates/{aggregate size}

Returns an object with the latest aggregates or candlesticks of a crypto pair.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.
market*stringUnique Crypto Pair identifier used by the exchange.
aggregate size*stringAggregate bar or candlestick time frame. (1m, 5m, 15m, 1h, 6h, 1d)

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
limitstringNumber of results per request. Maximum 50,000. (default 200)
sincenumberUnix Timestamp from where you want the data to start. (Historical Data)
response.json
{ "exchange": "coinbasepro", "market": "BTC/USD", "aggregates": [ { "t": 1644496320000, "o": 44714.52, "h": 44770.05, "l": 44714.52, "c": 44751.17, "v": 2.88395739 }, { "t": 1644496380000, "o": 44752, "h": 44753.14, "l": 44713.07, "c": 44747.05, "v": 10.80901469 } ] }

Copy & Paste Code

cURL
curl -H "api-key: API KEY" https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/aggregates/1m

Response Object

Example URL: https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/aggregates/1m 

response.json
{ "exchange": "coinbasepro", "market": "BTC/USD", "aggregates": [ { "t": 1644496320000, "o": 44714.52, "h": 44770.05, "l": 44714.52, "c": 44751.17, "v": 2.88395739 } ] }

Response Attributes

Attribute NameData TypeDescription
exchangestringUnique identifier used by Adesic for the exchange.
marketstringUnique identifier used by the exchange for ticker.
aggregatesarrayArray of Aggregates
tintegerUnix timestamp at the start of the aggregate.
ofloatThe open or first price of the aggregate.
hfloatThe highest price of the aggregate.
lfloatThe lowest price of the aggregate.
cfloatThe close or last price of the aggregate.
vfloatThe volume or quantity traded within the aggregate.

© Adesic LLC. All Rights Reserved